Name: xsetpointer
Version: 1.0.1
Release: %mkrel 14
Summary: Set an X Input device as the main pointer
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xi) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.3-3mdv

%description
Xsetpointer sets an XInput device as the main pointer.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_bindir}/xsetpointer
%{_mandir}/man1/xsetpointer.1*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-14.mga8
+ Revision: 1518951
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-13.mga7
+ Revision: 1301977
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 1.0.1-12.mga7
+ Revision: 1243309
- fix build on aarch64
- use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-11.mga6
+ Revision: 943382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-10.mga5
+ Revision: 746606
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-9.mga5
+ Revision: 690777
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-8.mga4
+ Revision: 520812
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-7.mga3
+ Revision: 387399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.1-6.mga1
+ Revision: 30216
- imported package xsetpointer


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdv2011.0
+ Revision: 608240
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-5mdv2010.1
+ Revision: 524467
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-4mdv2009.1
+ Revision: 350774
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2009.0
+ Revision: 226078
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-2mdv2008.1
+ Revision: 154301
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 130541
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode lzma extension!!!


* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 85932
- bump requires for newer input proto
- new release
- fill in a few more missing descriptions

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

